Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListRequest

    java.lang.Object
      com.google.appengine.api.search.ListRequest

    public final class ListRequest

extends java.lang.Object

A request to list objects in an index. You can specify a number of restrictions, such as the number of objects to return, the id of the first object to return, whether to only return keys, etc.

       ListRequest request = ListRequest().newBuilder()
           .setLimit(500)
           .setStartId("some-id")
           .setKeysOnly(true)
           .build()

Nested Class Summary
`static class` | `ListRequest.Builder` The builder of `ListRequest`s.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`int` | `getLimit()`
`java.lang.String` | `getStartId()`
`int` | `hashCode()`
`boolean` | `isIncludeStart()`
`java.lang.Boolean` | `isKeysOnly()`
`static ListRequest.Builder` | `newBuilder()`
`static ListRequest.Builder` | `newBuilder(ListRequest request)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### newBuilder

    public static final ListRequest.Builder newBuilder()

### newBuilder

    public static final ListRequest.Builder newBuilder(ListRequest request)

### getStartId

    public java.lang.String getStartId()

  Returns:
    the Id of the first object to return

### isIncludeStart

    public boolean isIncludeStart()

  Returns:
    whether or not the object with the start Id is returned

### getLimit

    public int getLimit()

  Returns:
    the maximum number of objects returned by this request

### isKeysOnly

    public java.lang.Boolean isKeysOnly()

  Returns:
    whether or not index schema is returned with each index

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD